[general]

[general:de]

[changes]
##### v3.5.253 (January 09, 2017)
* Cleanup of temporary files improved.

##### v3.5.249 (January 05, 2017)
* Help page has not been opened in i-net PDFC GUI on macOS.

##### v3.5.236 (December 23, 2016)
* Comparison of tensor product mesh gradients improved.

##### v3.5.177 (October 25, 2016)
* The DifferencesImagePresenter will only create a folder for the difference images of a pair of PDF files if there were difference.

##### v3.5.163 (October 11, 2016)
* Command line parameter -e does not work together with -c in the same command line.
* Space detection by using the kerning data optimized.

##### v3.5.136 (September 14, 2016)
* The number of false differences reduced when comparing drawings.

##### v3.5.115 (August 24, 2016)
* Improvement for redundant elements.
* Improvement for false positives in case of text in drawings.

##### v3.5.86 (July 26, 2016)
* Positioning of markers in one page export optimized.

##### v3.5.81 (July 21, 2016)
* Performance improvements, especially for batch comparisons with a lot of PDF files.
* It is now possible to use some mixed CID Fonts which actually not according to PDF Reference.
* Word boundaries detection further improved.

##### v3.5.60 (June 30, 2016)
* Misspelled word in comparison result report.
* "ERROR - unsupported value type: ..." removed from log output.

##### v3.5.46 (June 16, 2016)
* New implementation of the cache to provide sporadic `NullPointerException` and other exceptions.

##### v3.5.38 (June 08, 2016)
* Open Type Fonts will be identified, even if they are declared as other font type (Type1C).
* Parameters to detect word boundaries has been optimized.

##### v3.2.310 (February 05, 2016)
* Processing of white spaces in regular expression filter has been improved.
* The text line recognition for rotated text blocks has been improved.
* Memory usage of exported PDF comparison result optimized for PDF files with large number of images.
* The default configuration will now be founds alongside the PDF files as well.

##### v3.2.278 (January 04, 2016)
* Processing of white spaces in regular expression filter has been improved.

##### v3.2.233 (November 20, 2015)
* CCITT decoding algorithm replaced.

##### v3.2.218 (November 05, 2015)
* JPX / Jpeg2000 encoded images are not supported. Therefore they are replaced with a warning image now.
* Don't abort comparison on JPX and JP2 images.
* Support for case insensitive comparison added.

##### v3.2.204 (October 22, 2015)
* Add complete filename to the header of the exported PDF file containing comparison result.

##### v3.2.170 (September 18, 2015)
* The i-net PDFC GUI re-displays the red comparison result panel by moving the mouse to the result panel position.
##### v3.2.139 (August 18, 2015)
* New onProgressUpdate API method added for presenters to get progress updates.

##### v3.2.134 (August 13, 2015)
* New onProgressUpdate method added to Presenter to get the current progress.
* Parameter /verysilent for setup and uninstall now runs the applications silently without any messages or dialogs.

##### v3.2.113 (July 23, 2015)
* More reporting log messages hidden.

##### v3.2.107 (July 17, 2015)
* New command line parameters added to use all export types, switch visible types and highlights.
* Reporting log messages hidden and redirected to the logger of i-net PDFC.
* Cache handling optimized to reduce OutOfMemoryErrors with Java 8.

##### v3.2.64 (June 04, 2015)
* MULTI_COLUMN filter improved. Significantly better results for regular three and two column layouts.
* Implemented soft-hyphen handling for tagged PDFs.
* Color transformation defined in Adobe Application segment will be used for converting cmyk jpeg images.
* Optimized white space detection.

##### v3.1.190 (April 09, 2015)
* Default visibility for layers / optional content implemented.

##### v3.1.176 (March 26, 2015)
* The command line tool prints the full absolute path after ''Scanning &lt;filename&gt;''.

##### v3.1.148 (February 26, 2015)
* Handling for '...' in table of contents optimized.
* A better error message will be displayed if the PDF files contains an corrupt image.
* Optimized internal handling of JPG images. Increases performance for PDF files with large JPG images.
* Special cases of text spacing occurred.
* Property EXPORT_PDF_ALWAYS added to the config.xml.

##### v3.1.120 (January 29, 2015)
* New GUI control to reset the GUI to it's startup state (clear documents and result).
* Support for embedded OpenType/CFF fonts.
* Support for very large CID Fonts, Type 2.

##### v3.1.77 (December 17, 2014)
* Extended font name mapping to compare embedded and built-in fonts.

##### v3.1.57 (November 27, 2014)
* When exporting graphical comparison to PDF, PNG or printer (-p commandline), PDF file pairs without differences will no longer cause an export.
* **New Visibilities option: "Only pages with differences" added to the GUI.** Pages which do not have differences (with current visibility filter) will be minimized and will only show their page number. It affects the output in the GUI and the printing, PNG and PDF export of the comparison result. In the command line, option -m or -minimize can be used.
  * Command line parameter "-m" added. Only in conjunction with -p: causes pages in the graphical PDF-Export which have no differences to be minimized.
* Reduced memory requirements for large PDF files and PDF files with large images.
* The file commons-logging.properties removed from the PDFC.jar because it is not used.

##### v3.0.441 (August 25, 2014)
* Word break detection optimized
##### v3.0.393 (July 08, 2014)
* While you scroll through the pages, the page number will be displayed on the right side of the GUI. 

##### v3.0.373 (June 18, 2014)
* Modified font engine to return equal font metrics on all operating systems an Java runtime types. This may affect the comparison result if a very low TEXT_ALIGN_RATIO is configured.

##### v3.0.295 (April 01, 2014)
* Configuration property INVISIBLEELEMENTS_HIDE_ROTATION added. With this property it is possible to filter rotated text (vertical text) as well.
##### v3.0.246 (February 11, 2014)
* Version 3.0.235 was delivered as a beta version.

##### v3.0.214 (January 10, 2014)
* New features in the i-net PDFC GUI:
  * Export the comparison result in a PDF file or print it on a printer
  * Display annotations in the PDF files
  * Search within the PDF file(s) is possible
  * Continuous Zoom of the PDF files is possible
  * Meta Data added to the visibilities filter
  * Tabs layout has been redesigned
  * Tabs Search, Annotations, Export / Print added
  * Comparison result view:
    * With a rigth click on a difference marker it is possible to get detailled information about the difference, copy the text, ignore selected text, ignore selected difference 
  * Export/Import of the configuration, useful to use it with i-net PDFC command line / API
* It is now possible to save the comparison result in PDF file using -p command line parameter
* A color difference tolerance for text and shapes can now be defined using the configuration property TOLERANCE_COLOR
* Legacy API deprecated, will be removed in Version 4.0
* Batchrunner, IReportResult, IPageResult, IDifference is now deprecated
* Batchrunner.setLoader is not used anymore, the new threading architecture requires full control over the parser process
* Complete new API with extended capabilities
* New Filter to normalize visually equals characters added. This is useful especially for ORC or PDF-printer generated PDF documents
* Improved Space recognition for the 'Text by pattern' Filter
* PS commands gt, ge, lt and le supported
* Support for special type of Adobe-encoded Jpeg images
* Default language for the comparison report was German. Now it is English.

[changes:de]
##### v3.5.253 (09. Januar 2017)
* Bereinigung von temporären Dateien verbessert.

##### v3.5.249 (05. Januar 2017)
* Die Hilfeseite wurde in der i-net PDFC GUI unter macOS nicht geöffnet.

##### v3.5.236 (23. Dezember 2016)
* Der Vergleich von Tensorprodukt-Netzgradienten wurde verbessert.

##### v3.5.177 (25. Oktober 2016)
* Der DifferencesImagePresenter erstellt nur dann einen Ordner für die Differenzbilder eines PDF-Paares, wenn es Unterschiede gibt.

##### v3.5.163 (11. Oktober 2016)
* Der Befehlszeilenparameter -e funktioniert nicht zusammen mit -c in derselben Befehlszeile.
* Die Leerzeichenerkennung unter Verwendung der Kerning-Daten wurde optimiert.

##### v3.5.136 (14. September 2016)
* Die Anzahl der falschen Unterschiede beim Vergleich von Zeichnungen wurde reduziert.

##### v3.5.115 (24. August 2016)
* Verbesserung bei redundanten Elementen.
* Verbesserung bei falsch-positiven Ergebnissen im Falle von Text in Zeichnungen.

##### v3.5.86 (26. Juli 2016)
* Positionierung von Markern im einseitigen Export optimiert.

##### v3.5.81 (21. Juli 2016)
* Leistungsverbesserungen, insbesondere bei Stapelvergleichen mit vielen PDF-Dateien.
* Es ist nun möglich, einige gemischte CID-Schriften zu verwenden, die eigentlich nicht der PDF-Referenz entsprechen.
* Die Erkennung von Wortgrenzen wurde weiter verbessert.

##### v3.5.60 (30. Juni 2016)
* Falsch geschriebenes Wort im Ergebnisbericht des Vergleichs.
* "ERROR - unsupported value type: ..." aus der Log-Ausgabe entfernt.

##### v3.5.46 (16. Juni 2016)
* Neue Implementierung des Cache, um sporadische `NullPointerException` und andere Ausnahmen bereitzustellen.

##### v3.5.38 (08. Juni 2016)
* Open Type Fonts werden erkannt, auch wenn sie als andere Schriftart deklariert sind (Type1C).
* Die Parameter zur Erkennung von Wortgrenzen wurden optimiert.

##### v3.2.310 (05. Februar 2016)
* Die Verarbeitung von Leerzeichen im Filter für reguläre Ausdrücke wurde verbessert.
* Die Textzeilenerkennung für gedrehte Textblöcke wurde verbessert.
* Die Speichernutzung des exportierten PDF-Vergleichsergebnisses wurde für PDF-Dateien mit einer großen Anzahl von Bildern optimiert.
* Die Standardkonfiguration wird nun auch neben den PDF-Dateien gefunden.

##### v3.2.278 (Januar 04, 2016)
* Die Verarbeitung von Leerzeichen im Filter für reguläre Ausdrücke wurde verbessert.

##### v3.2.233 (20. November 2015)
* CCITT-Dekodierungsalgorithmus wurde ersetzt.

##### v3.2.218 (November 05, 2015)
* JPX / Jpeg2000 kodierte Bilder werden nicht unterstützt. Daher werden sie jetzt durch ein Warnbild ersetzt.
* Der Vergleich wird bei JPX- und JP2-Bildern nicht mehr abgebrochen.
* Unterstützung für Groß- und Kleinschreibung beim Vergleich hinzugefügt.

##### v3.2.204 (22. Oktober 2015)
* Hinzufügen des vollständigen Dateinamens in die Kopfzeile der exportierten PDF-Datei mit dem Vergleichsergebnis.

##### v3.2.170 (18. September 2015)
* Die i-net PDFC GUI zeigt das rote Vergleichsergebnis-Panel wieder an, wenn die Maus auf die Position des Ergebnis-Panels bewegt wird.
##### v3.2.139 (18. August 2015)
* Neue onProgressUpdate API-Methode für Präsentatoren hinzugefügt, um Fortschrittsaktualisierungen zu erhalten.

##### v3.2.134 (13. August 2015)
* Neue onProgressUpdate-Methode zu Presenter hinzugefügt, um den aktuellen Fortschritt zu erhalten.
* Der Parameter /verysilent für Setup und Deinstallation führt die Anwendungen jetzt im Hintergrund aus, ohne dass Meldungen oder Dialoge angezeigt werden.

##### v3.2.113 (23. Juli 2015)
* Mehr Protokollmeldungen werden ausgeblendet.

##### v3.2.107 (17. Juli 2015)
* Neue Befehlszeilenparameter hinzugefügt, um alle Exporttypen zu verwenden, sichtbare Typen und Markierungen umzuschalten.
* Reporting-Protokollmeldungen werden ausgeblendet und an den Logger von i-net PDFC weitergeleitet.
* Cache-Handling optimiert, um OutOfMemoryErrors mit Java 8 zu reduzieren.

##### v3.2.64 (Juni 04, 2015)
* MULTI_COLUMN-Filter verbessert. Deutlich bessere Ergebnisse für reguläre drei- und zweispaltige Layouts.
* Soft-Hyphen-Behandlung für getaggte PDFs implementiert.
* Die im Adobe Application Segment definierte Farbtransformation wird für die Konvertierung von cmyk jpeg-Bildern verwendet.
* Optimierte Erkennung von Leerraum.

##### v3.1.190 (April 09, 2015)
* Standard-Sichtbarkeit für Ebenen / optionale Inhalte implementiert.

##### v3.1.176 (26. März 2015)
* Das Kommandozeilentool gibt den vollständigen absoluten Pfad nach ''Scanning &lt;filename&gt;'' aus.

##### v3.1.148 (26. Februar 2015)
* Die Behandlung von '...' in Inhaltsverzeichnissen wurde optimiert.
* Es wird eine bessere Fehlermeldung angezeigt, wenn die PDF-Datei ein beschädigtes Bild enthält.
* Optimierte interne Handhabung von JPG-Bildern. Erhöht die Leistung bei PDF-Dateien mit großen JPG-Bildern.
* Sonderfälle von Textabständen sind aufgetreten.
* Eigenschaft EXPORT_PDF_ALWAYS zur config.xml hinzugefügt.


##### v3.1.120 (29. Januar 2015)
* Neue GUI-Steuerung zum Zurücksetzen der GUI in den Startzustand (Dokumente und Ergebnis löschen).
* Unterstützung für eingebettete OpenType/CFF-Schriften.
* Unterstützung für sehr große CID-Schriften, Type 2.

##### v3.1.77 (17. Dezember 2014)
* Erweiterte Zuordnung von Schriftartennamen, um eingebettete und eingebaute Schriftarten zu vergleichen.

##### v3.1.57 (27. November 2014)
* Beim Exportieren des grafischen Vergleichs in PDF, PNG oder Drucker (-p commandline) führen PDF-Dateipaare ohne Unterschiede nicht mehr zu einem Export.
* **Neue Option "Sichtbarkeit": "Seiten, die keine Unterschiede aufweisen (mit dem aktuellen Sichtbarkeitsfilter), werden minimiert und zeigen nur ihre Seitenzahl an. Die Option wirkt sich auf die Ausgabe in der GUI und auf den Druck, PNG- und PDF-Export des Vergleichsergebnisses aus. In der Kommandozeile kann die Option -m oder -minimize verwendet werden.
  * Kommandozeilenparameter "-m" hinzugefügt. Nur in Verbindung mit -p: bewirkt, dass Seiten im grafischen PDF-Export, die keine Unterschiede aufweisen, minimiert werden.
* Reduzierter Speicherbedarf für große PDF-Dateien und PDF-Dateien mit großen Bildern.
* Die Datei commons-logging.properties wurde aus dem PDFC.jar entfernt, da sie nicht verwendet wird.

##### v3.0.441 (25. August 2014)
* Die Erkennung von Wortumbrüchen wurde optimiert.
##### v3.0.393 (08. Juli 2014)
* Beim Blättern durch die Seiten wird nun die Seitenzahl auf der rechten Seite der Benutzeroberfläche angezeigt. 

##### v3.0.373 (18. Juni 2014)
* Die Schriftart-Engine wurde geändert, um auf allen Betriebssystemen und Java-Laufzeittypen die gleichen Schriftart-Metriken zu liefern. Dies kann das Vergleichsergebnis beeinflussen, wenn ein sehr niedriger TEXT_ALIGN_RATIO konfiguriert ist.

##### v3.0.295 (April 01, 2014)
* Konfigurationseigenschaft INVISIBLEELEMENTS_HIDE_ROTATION hinzugefügt. Mit dieser Eigenschaft ist es möglich, auch gedrehten Text (vertikalen Text) zu filtern.
##### v3.0.246 (11. Februar 2014)
* Version 3.0.235 wurde als Betaversion ausgeliefert.

##### v3.0.214 (10. Januar 2014)
* Neue Funktionen in der i-net PDFC GUI:
  * Export des Vergleichsergebnisses in eine PDF-Datei oder Ausdruck auf einem Drucker
  * Anzeige von Anmerkungen in den PDF-Dateien
  * Suche innerhalb der PDF-Datei(en) ist möglich
  * Kontinuierliches Zoomen der PDF-Dateien ist möglich
  * Metadaten zum Sichtbarkeitsfilter hinzugefügt
  * Das Layout der Registerkarten wurde neu gestaltet
  * Registerkarten Suche, Anmerkungen, Export / Druck hinzugefügt
  * Ansicht der Vergleichsergebnisse:
    * Mit einem direkten Klick auf eine Differenzmarkierung ist es möglich, detaillierte Informationen über die Differenz zu erhalten, den Text zu kopieren, markierten Text zu ignorieren, markierte Differenz zu ignorieren 
  * Export/Import der Konfiguration, nützlich für die Verwendung mit der i-net PDFC Kommandozeile / API
* Es ist nun möglich, das Vergleichsergebnis mit dem Kommandozeilenparameter -p in einer PDF-Datei zu speichern.
* Eine Farbdifferenztoleranz für Text und Formen kann nun über die Konfigurationseigenschaft TOLERANCE_COLOR definiert werden.
* Legacy API veraltet, wird in Version 4.0 entfernt
* Batchrunner, IReportResult, IPageResult, IDifference ist jetzt veraltet.
* Batchrunner.setLoader wird nicht mehr verwendet, die neue Threading-Architektur erfordert volle Kontrolle über den Parser-Prozess
* Komplett neue API mit erweiterten Möglichkeiten
* Neuer Filter zur Normalisierung von visuellen Gleichheitszeichen hinzugefügt. Dies ist insbesondere für ORC- oder PDF-Drucker-generierte PDF-Dokumente nützlich
* Verbesserte Leerzeichenerkennung für den 'Text nach Muster'-Filter
* Unterstützung der PS-Befehle gt, ge, lt und le
* Unterstützung für spezielle Typen von Adobe-kodierten Jpeg-Bildern
* Standardsprache für den Vergleichsbericht war Deutsch. Jetzt ist es Englisch.

[bugfixes]
##### v3.5.268 (January 24, 2017)
* Incorrect space detection in italic text occurred.

##### v3.5.247 (January 03, 2017)
* 'Unrecoverable stack overflow' occurred on zero dash stroke.

##### v3.5.236 (December 23, 2016)
* 'Space ranges not defined' error occurred.

##### v3.5.234 (December 21, 2016)
* `IllegalArgumentException`: argument type mismatch - occurred if i-net PDFC GUI was used on Mac OSX and the help button was clicked.

##### v3.5.207 (November 24, 2016)
* Whitespace detection for CID fonts was incorrect.
* `IllegalArgumentException`: Unknown encoding: Identity-H occurred.
* `NullPointerException` occurred during start of the GUI.
* Potential endless loop in the memory cleanup thread occurred.

##### v3.5.194 (November 11, 2016)
* Some texts were not displayed in a PDF/A document.

##### v3.5.192 (November 09, 2016)
* `NullPointerException` occurred during start of the GUI if there was no icon available for a file.
* Some difference details has not been displayed in the exported PDF comparison result, if the export properties: Portrait orientation, Only right and Scale to page height were enabled.

##### v3.5.177 (October 25, 2016)
* Some subscript or raised characters were incorrect positioned.

##### v3.5.163 (October 11, 2016)
* Some texts were not displayed in the comparison result.
* Rounding errors have been taken as location differences.
* Some characters have not been displayed in the comparison result because of changed character to unicode mapping.
* If there are empty text elements the comparer ignored any shape in between these empty text elements.

##### v3.5.137 (September 15, 2016)
* `RuntimeException`: Transformation matrix is non-invertable - occurred.

##### v3.5.136 (September 14, 2016)
* `IllegalStateException`: PDF stream contains invalid characters after endstream - occurred.
* `ArgumentException`: Parameter is not valid - occurred if .NET API was used.

##### v3.5.115 (August 24, 2016)
* Bugfix for distributed rotated text.

##### v3.5.107 (August 16, 2016)
* Text was not visible in comparison result because the bounding boxes of the text elements have negative widths.

##### v3.5.81 (July 21, 2016)
* Corrupt PDF export occurred in multiple thread environments.
* Filled shapes with width or height of 0 were not filtered properly.

##### v3.5.52 (June 22, 2016)
* Small lines were falsely classified as invisible.

##### v3.5.38 (June 08, 2016)
* Comparison result could contain additional white spaces.
* Elements which are marked with "Rendering-Mode=Ignore" were not ignored during comparison.
* A bug with images with a specific combination of grid and color model occurred.
* Wrong text recognition due to corrupt unicode mapping in font occurred.
* Problem in PDF parser occurred for TJ command combined with char spacing.
* `RuntimeException`: "Transformation matrix is non-invertable" occurred.
* Text was not displayed because of `NullPointerException`.

##### v3.2.336 (March 02, 2016)
* `PDFParseException`: "First item in dictionary must be a /Name" occurred if PDF metadata object was corrupt.
* Problem with rotated text occurred.
* Display problems with some ligatures occurred.
* Exception was not thrown to calling function of i-net PDFC API.

##### v3.2.320 (February 15, 2016)
* `java.lang.IllegalStateException`: `java.io.EOFException` occurred.

##### v3.2.310 (February 05, 2016)
* `IllegalArgumentException`: "Dimensions (width=2147483647 height=1) are too large" occurred.
* Fonts in the exported PDF comparison result were different to the original PDF files.

##### v3.2.247 (December 04, 2015)
* Type 3 fonts couldn't be displayed.
* Very narrow rectangles has been recognized as line.

##### v3.2.233 (November 20, 2015)
* `NullPointerException` because of invalid ICC profile occurred.

##### v3.2.218 (November 05, 2015)
* `IllegalArgumentException`: Bad command (15) occurred.
* Fix for invisible annotations/reviews.
* Fix for hexadecimal encoded font names.
* Glyph transformation in CID fonts with postscript layout were incorrect.

##### v3.2.204 (October 22, 2015)
* Text was misplaced, if the compared PDF files were created with dvipdf.

##### v3.2.201 (October 19, 2015)
* Because of threading problems incorrect image comparison results occurred, if .NET API was used.

##### v3.2.195 (October 13, 2015)
* The following warning occurred if command line interface was used: log4j:WARN No appenders could be found for logger.

##### v3.2.190 (October 08, 2015)
* Thread bug could produce invalid text differences if the GUI was used to compare PDF files.

##### v3.2.182 (September 30, 2015)
* Quote characters %%"%% and %%'%% were not compared correctly. Unicode values for characters in Type1 font corrected.

##### v3.2.170 (September 18, 2015)
* `ArrayIndexOutOfBoundsException` in Latin character mapper has occurred.
* `IllegalStateException` occurred: Could not read from stream.
* If the export option "Scale to page height" was enabled, then some difference marker were missing.
* `ArrayIndexOutOfBoundsException` occurred if the sub type of font type 0 has not been correct declared.

##### v3.2.160 (September 08, 2015)
* Some characters like apostrophes not displayed in the comparison result.

##### v3.2.156 (September 04, 2015)
* Pages in the PDF file containing the comparison result are overlapping sometimes.
* Some characters having varying code by different encodings were not drawn.

##### v3.2.153 (September 01, 2015)
* If the visibility property "Only pages with differences" was enabled (-m parameter in command line) and the PDF files contained pages with different page widths, then the right page was cut off on the right side of the PDF file containing the comparison result.

##### v3.2.139 (August 18, 2015)
* `ArrayIndexOutOfBoundsException` occurred if the PDF files contains invisible singular spaces with no width.

##### v3.2.134 (August 13, 2015)
* `NullPointerException` occurred because the optional content dictionary of the PDF file was empty.

##### v3.2.113 (July 23, 2015)
* Texts that are rendered with positive and negative font sizes were automatically evaluated as different.
* `RuntimeException`: Transformation matrix is non-invertable: AffineTransform ... occurred.

##### v3.2.107 (July 17, 2015)
* Error by decryption process occurred because of a `NullPointerException`. Padding errors occurred in encrypted PDF files.
* Comparison does not show differences if one PDF file contains invalid characters. Command line parameters added.
* Comparison result export ignores the checkbox for "Only Left" and "Only Right" if the overlay mode was used in the comparison result view.
* Comparison result export does not split resulting pages within PDF file pages, if "Scale to page height" is enabled.
* Because of a `NullPointerException` some text was not displayed in the comparison result.

##### v3.2.64 (June 04, 2015)
* Fixed issue with nested form fields
* Fixed non-invertable transformation in PDF export
* OutOfMemoryError with occurred if .NET API was used.

##### v3.2.48 (May 19, 2015) ##### 
* Image were displayed in inverse colors.

##### v3.2.44 (May 15, 2015)
* Wrong scroll position when switching from overlay to side-by-side mode.
* Fixed scroll position list when enabling/disabling 'hide similiar pages'.

##### v3.2.37 (May 08, 2015) ##### 
* During search in more complex PDF files, the following exception occurs: `IllegalArgumentException`: Comparison method violates its general contract!.

##### v3.2.34 (May 05, 2015)
* Decimal encoding of type 3 fonts was incorrect.
* `InvalidMarkException` occurred due to inconsistent true type fonts embedded in pdf documents.
* `ArrayIndexOutOfBoundsException` occurred due to kerning incorrections.
* Glyph Mapping for certain CID Type 0 fonts was incorrect.
* Whitespace detection for CID fonts was incorrect.
* Modified name of folder for image export, fixed zip filenameof PNG export.

##### v3.1.176 (March 26, 2015)
* `IllegalStateException` occurred: Invalid character code byte count: 1.
* `IllegalStateException` occurred: The checkbox is not initialized.
* `ArrayIndexOutOfBoundsException` in PDFHintTable.
* The method SetTypeVisible was missing in the .Net API of the ResultModel object.

##### v3.1.148 (February 26, 2015)
* Differences where displayed in upper / lower case although the words were displayed in uppercase.

##### v3.1.126 (February 04, 2015)
* `BufferUnderflowException` occurred because of inconsistent CID-Type2 font.
* `NullPointerException` in LZWDecode occurred.

##### v3.1.120 (January 29, 2015)
* Fix for negative font sizes in PDF files.

##### v3.1.100 (January 09, 2015)
* Broken links and images in the online help.
* `RuntimeException`: "Transformation matrix is non-invertable" occurred.

##### v3.1.82 (December 22, 2014)
* `IllegalStateException`: procedure is already running - has occurred.

##### v3.1.77 (December 17, 2014)
* `PDFParseException`: Bad character in Hex String occurred because of Unix linebreaks in the PDF XRef table.
* `NullPointerException` occurred if the command line parameter '-m' was used in combination with parameter '-i'.

##### v3.1.57 (November 27, 2014)
* `IllegalArgumentException`: Bad size for Maxp table occurred.
* `FileNotFoundException`: Could not find file ''c:\windows\system32\inetsrv\DifferenceColors.properties'' occurred if i-net PDFC was running from a service in IIS.
* Scrollbars were not displayed correctly if the PDF files contains pages in portrait and landscape orientation.
* The GUI has crashed on Mac OS X 10.7.
* .Net environment:
  * Font issue occurred which could lead to missing PDF difference export files in multi-thread and .Net environments.
  * Could not load file or assembly 'IKVM.OpenJDK.Management, Version=7.4.5196.0
  * Could not load file or assembly 'IKVM.OpenJDK.XML.XPath, Version=7.4.5196.0
* Markers were incorrectly displayed on rotated pages.
* OutOfMemoryError occurred if the PDF files contains a lot of images.
* `PDFParseException`: "content reference not found" occurred.
* ANSI-Encoding in certain TrueType fonts was wrong.
* Annotations were not displayed correctly.

##### v3.0.462 (September 15, 2014)
* When exporting graphical comparison to PDF, PNG or Printer (-p commandline), PDF-pairs without differences will no longer cause an export. 

##### v3.0.445 (August 29, 2014)
* Font issue occurred under .NET. An embedded font was not embedded in the PDF file containing the comparison result.
* `RuntimeException` occurred: Error by decryption process

##### v3.0.441 (August 25, 2014)
* The following exception occurred: `PDFParseException`: Unknown command: ...

##### v3.0.427 (August 11, 2014)
* The following exception occurred during creation of the compariosn report: "com.inet.lib.json.h" with message "Field 'breakPoints' not found.

##### v3.0.417 (August 01, 2014)
* Position and orientation of an annotation was incorrect.

##### v3.0.414 (July 29, 2014)
* `RuntimeException`: Error by decryption process occurred.
* `ArrayIndexOutOfBoundsException`: 253 occurred.
* `NumberFormatException`: "For input string: "0/.notdef" in Type1 fonts occurred. 

##### v3.0.393 (July 08, 2014)
* `IllegalArgumentException`: Unknown encoding: ZapfDingbatsEncoding occurred. Character encoding ZapfDingbatsEncoding is now supported. 
* `PDFParseException`: Data format exception:incorrect header check. PDF files that are encrypted with AES algorithm with default 128 bit keys can be compared now.

##### v3.0.350 (May 26, 2014)
* `PDFParseException`: xref part is corrupted occurred.

##### v3.0.337 (May 13, 2014)
* `ArrayIndexOutOfBoundsException` in some Type 7 Shaders occurred.
* Character from CIDFontType2 (Japanese fonts) could not be recognized if parent font does not define Unicode mapping.

##### v3.0.263 (February 28, 2014)
* `ArrayIndexOutOfBoundsException` occurred.
* If the .NET API of i-net PDFC was used then the following exception occurred: "A generic error occurred in GDI+".

##### v3.0.256 (February 21, 2014)
* `NullPointerException` occurred. 

##### v3.0.254 (February 19, 2014)
* `ClassCastException` occurred in strict comparison mode on PDF control elements.
* The following exception occurred with the .NET edition: `cli.System.Runtime.InteropServices.ExternalException`: A generic error occurred in GDI+.

##### v3.0.246 (February 11, 2014)
* Activated / non activated checkbox was not detected as difference.

##### v3.0.235 (January 31, 2014)
* Files with upper case suffix were not compared in batch compare mode.
* Specific text differences were not found.
* Chinese, Japanese and Korean characters have not been rendered correctly and an `ArrayIndexOutOfBoundException` has occurred if the PDF files containing such characters.
* `ProfileDataException` with invalid ICC profile occurred.

##### v3.0.214 (January 10, 2014)
* `PDFParseException`: Stream ended inappropriately occurred

[bugfixes:de]
##### v3.5.268 (24. Januar 2017)
* Fehlerhafte Erkennung von Leerzeichen in kursivem Text trat auf.

##### v3.5.247 (03. Januar 2017)
* 'Unbehebbarer Stapelüberlauf' trat bei einem Null-Bindestrich auf.

##### v3.5.236 (23. Dezember 2016)
* Der Fehler 'Leerzeichenbereiche nicht definiert' trat auf.

##### v3.5.234 (21. Dezember 2016)
* `IllegalArgumentException`: argument type mismatch - trat auf, wenn i-net PDFC GUI unter Mac OSX verwendet wurde und die Hilfe-Schaltfläche angeklickt wurde.

##### v3.5.207 (24. November 2016)
* Whitespace-Erkennung für CID-Schriften war fehlerhaft.
* `IllegalArgumentException`: Unbekannte Kodierung: Identity-H aufgetreten.
* `NullPointerException` trat beim Start der GUI auf.
* Potenzielle Endlosschleife im Speicherbereinigungsthread aufgetreten.

##### v3.5.194 (November 11, 2016)
* Einige Texte wurden in einem PDF/A-Dokument nicht angezeigt.

##### v3.5.192 (09. November 2016)
* `NullPointerException` trat beim Start der GUI auf, wenn kein Icon für eine Datei vorhanden war.
* Einige Differenzdetails wurden im exportierten PDF-Vergleichsergebnis nicht angezeigt, wenn die Exporteigenschaften: Hochformat, Nur rechts und Auf Seitenhöhe skalieren aktiviert waren.

##### v3.5.177 (25. Oktober 2016)
* Einige tiefgestellte oder hochgestellte Zeichen wurden falsch positioniert.

##### v3.5.163 (11. Oktober 2016)
* Einige Texte wurden im Vergleichsergebnis nicht angezeigt.
* Rundungsfehler wurden als Positionsdifferenzen übernommen.
* Einige Zeichen wurden im Vergleichsergebnis nicht angezeigt, da die Zuordnung von Zeichen zu Unicode geändert wurde.
* Wenn es leere Textelemente gibt, hat der Vergleicher jede Form zwischen diesen leeren Textelementen ignoriert.

##### v3.5.137 (15. September 2016)
* `RuntimeException`: Transformationsmatrix ist nicht invertierbar - aufgetreten.

##### v3.5.136 (14. September 2016)
* `IllegalStateException`: PDF-Stream enthält ungültige Zeichen nach Endstream - aufgetreten.
* `ArgumentException`: Parameter ist nicht gültig - trat auf, wenn .NET API verwendet wurde.

##### v3.5.115 (24. August 2016)
* Bugfix für verteilten gedrehten Text.

##### v3.5.107 (16. August 2016)
* Text war im Vergleichsergebnis nicht sichtbar, da die Boundingboxen der Textelemente negative Breiten haben.

##### v3.5.81 (21. Juli 2016)
* Korrupter PDF-Export trat in mehreren Thread-Umgebungen auf.
* Gefüllte Formen mit einer Breite oder Höhe von 0 wurden nicht richtig gefiltert.

##### v3.5.52 (22. Juni 2016)
* Kleine Linien wurden fälschlicherweise als unsichtbar eingestuft.

##### v3.5.38 (08. Juni 2016)
* Das Vergleichsergebnis konnte zusätzliche Leerzeichen enthalten.
* Elemente, die mit "Rendering-Mode=Ignore" gekennzeichnet sind, wurden beim Vergleich nicht ignoriert.
* Ein Fehler bei Bildern mit einer bestimmten Kombination von Raster und Farbmodell trat auf.
* Falsche Texterkennung aufgrund einer fehlerhaften Unicode-Zuordnung in der Schriftart.
* Ein Problem im PDF-Parser trat bei TJ-Befehlen in Kombination mit Zeichenabständen auf.
* `RuntimeException`: "Transformationsmatrix ist nicht invertierbar" aufgetreten.
* Text wurde aufgrund einer `NullPointerException` nicht angezeigt.

##### v3.2.336 (März 02, 2016)
* `PDFParseException`: "First item in dictionary must be a /Name" trat auf, wenn das PDF-Metadatenobjekt beschädigt war.
* Problem mit gedrehtem Text trat auf.
* Anzeigeprobleme mit einigen Ligaturen traten auf.
* Ausnahme wurde beim Aufruf einer Funktion der i-net PDFC API nicht ausgelöst.

##### v3.2.320 (15. Februar 2016)
* `java.lang.IllegalStateException`: `java.io.EOFException` aufgetreten.

##### v3.2.310 (05. Februar 2016)
* `IllegalArgumentException`: "Dimensions (width=2147483647 height=1) are too large" ist aufgetreten.
* Die Schriftarten im Ergebnis des exportierten PDF-Vergleichs unterschieden sich von den Original-PDF-Dateien.

##### v3.2.247 (Dezember 04, 2015)
* Type 3-Schriften konnten nicht angezeigt werden.
* Sehr schmale Rechtecke wurden als Linie erkannt.

##### v3.2.233 (20. November 2015)
* `NullPointerException` aufgrund eines ungültigen ICC-Profils ist aufgetreten.

##### v3.2.218 (05. November 2015)
* `IllegalArgumentException`: Bad command (15) occurred.
* Fix für unsichtbare Anmerkungen/Reviews.
* Fix für hexadezimal kodierte Fontnamen.
* Die Glyphentransformation in CID-Schriften mit Postscript-Layout war nicht korrekt.

##### v3.2.204 (22. Oktober 2015)
* Text wurde falsch platziert, wenn die verglichenen PDF-Dateien mit dvipdf erstellt wurden.

##### v3.2.201 (19. Oktober 2015)
* Aufgrund von Threading-Problemen kam es zu fehlerhaften Bildvergleichsergebnissen, wenn die .NET API verwendet wurde.

##### v3.2.195 (13. Oktober 2015)
* Die folgende Warnung trat auf, wenn die Kommandozeilenschnittstelle verwendet wurde: log4j:WARN Es konnten keine Appenders für Logger gefunden werden.

##### v3.2.190 (08. Oktober 2015)
* Ein Thread-Bug konnte zu ungültigen Textunterschieden führen, wenn die GUI zum Vergleichen von PDF-Dateien verwendet wurde.

##### v3.2.182 (30. September 2015)
* Die Anführungszeichen %%"%% und %%'%% wurden nicht korrekt verglichen. Unicode-Werte für Zeichen in Type1-Schriftart korrigiert.

##### v3.2.170 (18. September 2015)
* `ArrayIndexOutOfBoundsException` in Latin character mapper ist aufgetreten.
* `IllegalStateException` ist aufgetreten: Could not read from stream.
* Wenn die Exportoption "Auf Seitenhöhe skalieren" aktiviert war, dann fehlten einige Differenzmarker.
* `ArrayIndexOutOfBoundsException` ist aufgetreten, wenn der Subtyp von Schrifttyp 0 nicht korrekt deklariert wurde.

##### v3.2.160 (08. September 2015)
* Einige Zeichen wie Apostrophe werden im Vergleichsergebnis nicht angezeigt.

##### v3.2.156 (04. September 2015)
* Die Seiten in der PDF-Datei, die das Vergleichsergebnis enthält, überlappen sich manchmal.
* Einige Zeichen mit unterschiedlichem Code durch verschiedene Kodierungen wurden nicht gezeichnet.

##### v3.2.153 (01. September 2015)
* Wenn die Sichtbarkeitseigenschaft "Nur Seiten mit Unterschieden" aktiviert war (Parameter -m in der Kommandozeile) und die PDF-Dateien Seiten mit unterschiedlichen Seitenbreiten enthielten, wurde die rechte Seite auf der rechten Seite der PDF-Datei mit dem Vergleichsergebnis abgeschnitten.

##### v3.2.139 (18. August 2015)
* `ArrayIndexOutOfBoundsException` trat auf, wenn die PDF-Dateien unsichtbare einzelne Leerzeichen ohne Breite enthielten.

##### v3.2.134 (13. August 2015)
* `NullPointerException` trat auf, weil das optionale Inhaltswörterbuch der PDF-Datei leer war.

##### v3.2.113 (23. Juli 2015)
* Texte, die mit positiven und negativen Schriftgrößen gerendert werden, wurden automatisch als unterschiedlich bewertet.
* `RuntimeException`: Transformationsmatrix ist nicht invertierbar: AffineTransform ... aufgetreten.

##### v3.2.107 (17. Juli 2015)
* Fehler beim Entschlüsselungsprozess trat aufgrund einer `NullPointerException` auf. In verschlüsselten PDF-Dateien traten Padding-Fehler auf.
* Der Vergleich zeigt keine Unterschiede an, wenn eine PDF-Datei ungültige Zeichen enthält. Befehlszeilenparameter hinzugefügt.
* Der Export von Vergleichsergebnissen ignoriert das Kontrollkästchen für "Nur links" und "Nur rechts", wenn der Überlagerungsmodus in der Ansicht der Vergleichsergebnisse verwendet wurde.
* Der Export von Vergleichsergebnissen teilt die Ergebnisseiten nicht in PDF-Dateiseiten auf, wenn "Auf Seitenhöhe skalieren" aktiviert ist.
* Aufgrund einer `NullPointerException` wurde mancher Text im Vergleichsergebnis nicht angezeigt.

##### v3.2.64 (04. Juni 2015)
* Problem mit verschachtelten Formularfeldern behoben.
* Nicht invertierbare Transformation im PDF-Export behoben
* OutOfMemoryError mit aufgetreten, wenn .NET API verwendet wurde.

##### v3.2.48 (19. Mai 2015) ##### 
* Bilder wurden in inversen Farben angezeigt.

##### v3.2.44 (15. Mai 2015)
* Falsche Bildlaufposition beim Wechsel vom Overlay- zum Side-by-Side-Modus.
* Die Liste der Bildlaufpositionen bei der Aktivierung/Deaktivierung von "Ähnliche Seiten ausblenden" wurde korrigiert.

##### v3.2.37 (08. Mai 2015) ##### 
* Bei der Suche in komplexeren PDF-Dateien tritt die folgende Ausnahme auf: `IllegalArgumentException`: Vergleichsmethode verstößt gegen ihren allgemeinen Vertrag!.

##### v3.2.34 (05. Mai 2015)
* Die Dezimalkodierung von Schriftarten des Typs 3 war falsch.
* `InvalidMarkException` trat aufgrund von inkonsistenten True-Type-Schriften auf, die in PDF-Dokumenten eingebettet waren.
* ArrayIndexOutOfBoundsException" trat aufgrund von Fehlern bei der Unterschneidung auf.
* Das Glyphen-Mapping für bestimmte CID Type 0-Schriften war fehlerhaft.
* Whitespace-Erkennung für CID-Schriften war fehlerhaft.
* Der Name des Ordners für den Bildexport wurde geändert, der Zip-Dateiname des PNG-Exports wurde korrigiert.

##### v3.1.176 (26. März 2015)
* `IllegalStateException` ist aufgetreten: Invalid character code byte count: 1.
* `IllegalStateException` occurred: Die Checkbox ist nicht initialisiert.
* `ArrayIndexOutOfBoundsException` in PDFHintTable.
* Die Methode SetTypeVisible fehlte in der .Net API des ResultModel-Objekts.

##### v3.1.148 (26. Februar 2015)
* Unterschiede wurden in Groß-/Kleinschreibung angezeigt, obwohl die Wörter in Großbuchstaben angezeigt wurden.

##### v3.1.126 (04. Februar 2015)
* `BufferUnderflowException` trat aufgrund einer inkonsistenten CID-Type2-Schriftart auf.
* `NullPointerException` in LZWDecode aufgetreten.

##### v3.1.120 (29. Januar 2015)
* Fix für negative Schriftgrößen in PDF-Dateien.

##### v3.1.100 (09. Januar 2015)
* Defekte Links und Bilder in der Online-Hilfe.
* `RuntimeException`: "Transformationsmatrix ist nicht invertierbar" aufgetreten.
##### v3.1.82 (22. Dezember 2014)
* `IllegalStateException`: Prozedur wird bereits ausgeführt - ist aufgetreten.

##### v3.1.77 (17. Dezember 2014)
* `PDFParseException`: Schlechtes Zeichen in Hex-String aufgetreten aufgrund von Unix-Zeilenumbrüchen in der PDF XRef-Tabelle.
* `NullPointerException` trat auf, wenn der Kommandozeilenparameter '-m' in Kombination mit dem Parameter '-i' verwendet wurde.

##### v3.1.57 (November 27, 2014)
* `IllegalArgumentException`: Bad size for Maxp table occurred.
* `FileNotFoundException`: Could not find file ''c:\windows\system\inetsrv\DifferenceColors.properties'' trat auf, wenn i-net PDFC über einen Dienst im IIS ausgeführt wurde.
* Scrollbars wurden nicht korrekt angezeigt, wenn die PDF-Dateien Seiten im Hoch- und Querformat enthielten.
* Die GUI ist unter Mac OS X 10.7 abgestürzt.
* .Net-Umgebung:
  * Es trat ein Font-Problem auf, das zu fehlenden PDF-Differenz-Exportdateien in Multi-Thread- und .Net-Umgebungen führen konnte.
  * Die Datei oder Assembly 'IKVM.OpenJDK.Management, Version=7.4.5196.0' konnte nicht geladen werden.
  * Die Datei oder Assembly 'IKVM.OpenJDK.XML.XPath, Version=7.4.5196.0' konnte nicht geladen werden.
* Markierungen wurden auf gedrehten Seiten nicht korrekt angezeigt.
* OutOfMemoryError trat auf, wenn die PDF-Dateien viele Bilder enthalten.
* `PDFParseException`: "Inhaltsreferenz nicht gefunden" aufgetreten.
* ANSI-Encoding in bestimmten TrueType-Schriften war falsch.
* Anmerkungen wurden nicht korrekt angezeigt.

##### v3.0.462 (15. September 2014)
* Beim Export von grafischen Vergleichen in PDF, PNG oder Drucker (-p commandline) führen PDF-Paare ohne Unterschiede nicht mehr zu einem Export. 

##### v3.0.445 (29. August 2014)
* Ein Schriftartproblem trat unter .NET auf. Eine eingebettete Schriftart wurde nicht in die PDF-Datei eingebettet, die das Vergleichsergebnis enthält.
* `RuntimeException` trat auf: Fehler beim Entschlüsselungsprozess

##### v3.0.441 (25. August 2014)
* Die folgende Ausnahme ist aufgetreten: `PDFParseException`: Unbekannter Befehl: ...

##### v3.0.427 (11. August 2014)
* Bei der Erstellung des compariosn-Berichts trat die folgende Ausnahme auf: "com.inet.lib.json.h" mit der Meldung "Field 'breakPoints' not found.

##### v3.0.417 (August 01, 2014)
* Position und Ausrichtung einer Anmerkung war falsch.

##### v3.0.414 (Juli 29, 2014)
* `RuntimeException`: Es ist ein Fehler beim Entschlüsselungsprozess aufgetreten.
* `ArrayIndexOutOfBoundsException`: 253 aufgetreten.
* `NumberFormatException`: "Für Eingabe-String: "0/.notdef" in Type1-Schriftarten aufgetreten. 

##### v3.0.393 (Juli 08, 2014)
* `IllegalArgumentException`: Unknown encoding: ZapfDingbatsEncoding occurred. Die Zeichenkodierung ZapfDingbatsEncoding wird nun unterstützt. 
* `PDFParseException`: Datenformat-Ausnahme: Falsche Header-Prüfung. PDF-Dateien, die mit dem AES-Algorithmus mit Standard-128-Bit-Schlüssel verschlüsselt sind, können nun verglichen werden.

##### v3.0.350 (26. Mai 2014)
* `PDFParseException`: xref part is corrupted ist aufgetreten.

##### v3.0.337 (13. Mai 2014)
* `ArrayIndexOutOfBoundsException` in einigen Type 7 Shadern aufgetreten.
* Zeichen aus CIDFontType2 (japanische Schriftarten) konnten nicht erkannt werden, wenn die übergeordnete Schriftart keine Unicode-Zuordnung definiert hat.

##### v3.0.263 (Februar 28, 2014)
* `ArrayIndexOutOfBoundsException` trat auf.
* Wenn die .NET API von i-net PDFC verwendet wurde, trat die folgende Ausnahme auf: "A generic error occurred in GDI+".

##### v3.0.256 (Februar 21, 2014)
* `NullPointerException` ist aufgetreten. 

##### v3.0.254 (19. Februar 2014)
* `ClassCastException` trat im strengen Vergleichsmodus bei PDF-Steuerelementen auf.
* Die folgende Ausnahme trat bei der .NET-Edition auf: `cli.System.Runtime.InteropServices.ExternalException`: In GDI+ ist ein allgemeiner Fehler aufgetreten.

##### v3.0.246 (11. Februar 2014)
* Aktivierte / nicht aktivierte Checkbox wurde nicht als Unterschied erkannt.

##### v3.0.235 (31. Januar 2014)
* Dateien mit Großbuchstabensuffix wurden im Batch-Vergleichsmodus nicht verglichen.
* Bestimmte Textunterschiede wurden nicht gefunden.
* Chinesische, japanische und koreanische Zeichen wurden nicht korrekt gerendert und eine `ArrayIndexOutOfBoundException` trat auf, wenn die PDF-Dateien solche Zeichen enthielten.
* `ProfileDataException` mit ungültigem ICC-Profil ist aufgetreten.

##### v3.0.214 (10. Januar 2014)
* `PDFParseException`: Stream unangemessen beendet


[security]

[security:de]
